# MybatisPlus动态schema

## 使用方式
1. 配置需要使用动态schema的表名
在`MybatisPlusConfig.DYNAMIC_SCHEMA_ENTITY_NAMES`中添加需要使用动态schema的表名.

2. 调用
在调用数据库查询前 调用 `DYNAMIC_SCHEMA_CONTEXT.set(schemaName)`
在调用数据库查询后 调用 `DYNAMIC_SCHEMA_CONTEXT.remove()`

## 实现原理
* mybatis-plus DynamicTableNameInnerInterceptor
* ThreadLocal

## 未来计划
* 提供注解`@EnableDynamicSchema`,在entity上添加注解, 来配置需要使用动态schema的表名
* 提供注解`@Schema("#param1")`, 在方法上添加注解, 来指定该方法中的数据库操作使用指定的动态schema
