
## 基本要求
有责任
有计划
有反馈

## 职责明确
1 主动解决问题
2 事项闭环
以上过程需要有信息落地, 形式为:邮件/需求管理工具/聊天记录.

## 沟通
工作相关,尽量群聊,不要私聊.

反馈与沟通中的重要信息,尽量有信息落地. 形式为:邮件/需求管理工具/聊天记录.

## 文档
* 文件协作. 使用云效进行文件协作,主要用于以下场景
  * 需求梳理前期
  * 需求界面设计前期
  * 项目排期
  * 其他严重依赖协作的场景
    
* git. 使用git进行文档沉淀,除了使用语雀的场景之外, 其他全部使用git. 包括但不限于以下场景
    * 需求方案设计
    * 需求转为知识
    * 数据库设计
    * 规范
    * 接口文档
    * 服务器与部署

## 反馈
* 反馈
工作中可能出现的问题, 应该及时反馈. 问题出现之后才反馈是没有意义的.

* 周会
周会,分享自己本周所有工作,并对主要工作进行详细说明. 让其他人了解功能, 并知道对自己负责模块的影响.

* 周报
周六晚上12点之后, 在`git/doc/项目管理/`文档中汇总周报.

周报最低要求 **其他人可以看懂事项** .

周报内容包括

    * 本周事项. 原计划排期,当前进度,未来节点排期.
    * 本周问题. 导致事情没有按照原计划或正常情况运行的,都是问题. 问题描述,造成音响,解决方案.
    * 下周计划.

