# 上饶银行项目需求

## 编写目的
本需求说明书全面描述上饶银行项目的各种功能，运行环境，使客户和开发者双方对本系统的初始规定有一个共同的理解，使之成为共同开发的接触

## 预期读者
* 银行管理部门
* 开发人员
* 测试人员

## 项目背景
* 该项目为了方便对银行对各种投资项目的查看和分析
* 方便对投资项目的详细了解
* 建立一个方便银行使用的高效投资查看平台

## 系统说明

### 系统描述
* 系统从不同的子系统获取数据,比如菜市场系统,停车场系统,餐饮系统等
* 系统获取数据后对数据进行储存,然后进行数据的分析和整理,进行数据的可视化展示
* 满足了银行对各种子系统详细的了解
### 银行投资项目的功能需求
* 在计算机网络，数据库和先进的开发平台上，利用银行提供的硬件环境    
搭建一个具有开放体系结构，扩展性，可维护性，不返工的人机交互方便的
银行投资项目系统，为银行提供准确,精细，迅速的系统
* 根据银行提供的需求,分析现有的架构，采用B/S结构，微服务架构(springCloud)  
把不同的模块服务化,比如菜市场服务，停车场服务，餐饮服务，后期遇见数据量大的  
模块方便进行扩展和负载和备份，提供了程序的扩展性

### 界面要求
* 界面美观大方，容易操作
* 出现在页面的每个按钮，每个功能详细的描述信息


### 运行环境
* 硬件环境:两个centos服务器
* 软件环境:mysql，rabbitMq,redis,mongoDB等
* 部署方式，一个服务器部署开发的软件项目，一个部署其他的第三方软件

### 接口方式
* 服务内部调用:返回精准的类型数据，该是什么数据就是什么数据
* 服务对外提供:统一的返回ApiResult,里面有Code(状态码),Data(数据),Message(成功或者失败)

### 开发语言
java

